org.apache.poi.hwpf.model

## Class ListTables

- java.lang.Object
- - org.apache.poi.hwpf.model.ListTables

-     @Internal
      public final class ListTables
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListTables()`
    `ListTables(byte[] tableStream, int lstOffset, int fcPlfLfo, int lcbPlfLfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addList(ListData lst, LFO lfo, LFOData lfoData)`
    `boolean` | `equals(java.lang.Object obj)`
    `ListLevel` | `getLevel(int lsid, int level)` Get the ListLevel for a given lsid and level
    `LFO` | `getLfo(int ilfo)`
    `LFOData` | `getLfoData(int ilfo)`
    `ListData` | `getListData(int lsid)`
    `int` | `getOverrideIndexFromListID(int lsid)`
    `int` | `hashCode()`
    `void` | `writeListDataTo(FileInformationBlock fib, java.io.ByteArrayOutputStream tableStream)`
    `void` | `writeListOverridesTo(FileInformationBlock fib, java.io.ByteArrayOutputStream tableStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListTables

          public ListTables()

    - #### ListTables

          public ListTables(byte[] tableStream,
                            int lstOffset,
                            int fcPlfLfo,
                            int lcbPlfLfo)

  - ### Method Detail

    - #### writeListDataTo

          public void writeListDataTo(FileInformationBlock fib,
                                      java.io.ByteArrayOutputStream tableStream)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeListOverridesTo

          public void writeListOverridesTo(FileInformationBlock fib,
                                           java.io.ByteArrayOutputStream tableStream)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getLfo

          public LFO getLfo(int ilfo)
                     throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### getLfoData

          public LFOData getLfoData(int ilfo)
                             throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### getOverrideIndexFromListID

          public int getOverrideIndexFromListID(int lsid)
                                         throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### getLevel

          public ListLevel getLevel(int lsid,
                                    int level)

      Get the ListLevel for a given lsid and level
      Parameters:
        `lsid` -
        `level` -
      Returns:
        ListLevel if found, or `null` if ListData can't be found or if level is > that available

    - #### getListData

          public ListData getListData(int lsid)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### addList

          public int addList(ListData lst,
                             LFO lfo,
                             LFOData lfoData)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.